package com.seer.teach.user.convert;

import com.seer.teach.user.api.dto.GradeDTO;
import com.seer.teach.user.entity.GradeEntity;
import com.seer.teach.user.response.GradeResp;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * <p>
 *
 * </p >
 *
 * @author Captain
 * @since 2025-08-04 19:55
 */
@Mapper
public interface GradeConvert {

    GradeConvert INSTANCE = Mappers.getMapper(GradeConvert.class);

    GradeDTO toGradeDTO(GradeEntity gradeEntity);

    List<GradeDTO> toGradeDTOList(List<GradeEntity> list);

    GradeResp toGradeResp(GradeEntity gradeEntity);

    List<GradeResp> toGradeRespList(List<GradeEntity> list);

}